GNU bug report logs - #24964
25.1; Backspace inside term/ansi-term on OSX

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jack Kamm <jackkamm@HIDDEN>; merged with #5331; dated Fri, 18 Nov 2016 17:39:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 5331 24964. Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24964 <at> debbugs.gnu.org:


Received: (at 24964) by debbugs.gnu.org; 30 Nov 2016 10:57:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 30 05:57:45 2016
Received: from localhost ([127.0.0.1]:46984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cC2a8-00014H-Rv
	for submit <at> debbugs.gnu.org; Wed, 30 Nov 2016 05:57:45 -0500
Received: from mail-yw0-f181.google.com ([209.85.161.181]:35925)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackkamm@HIDDEN>) id 1cC2a7-000143-5O
 for 24964 <at> debbugs.gnu.org; Wed, 30 Nov 2016 05:57:43 -0500
Received: by mail-yw0-f181.google.com with SMTP id a10so154919733ywa.3
 for <24964 <at> debbugs.gnu.org>; Wed, 30 Nov 2016 02:57:43 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=rvVQndwy1sx/KT6xhI378k6Myr512Ku6sAKeXXqidic=;
 b=Hu1j+FVXb7i0hXlAbKX/saFaqXka2PVEDZOK3O2quK6cKI8DPsnuBJX3GCGT76+gi4
 OMyXmt/QnctnVFHklvIDCnfrD1VQG0W8samyM7sGw3TxnmviakDmlxPM1tzqX7dcthfz
 nEVHNirYnSBRgT5FgFXSUlNJRiD3MjFmFJrr0F09pzurb8cvIWnynVqJLzomfpH1hUsL
 72yN/VFiOIef1az6+yHOcA6IGEuaQwj8Gzz4NhJJT2WvR9sMPlRSqsFcG8DoXMUZ9YSq
 ThwgAWy4gvjU0TKNDnAs+8Gg4TFeGEVn1ppkkWrf0gTj5I05LbCQ7n+5CuycUTGMTH+d
 LdMg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=rvVQndwy1sx/KT6xhI378k6Myr512Ku6sAKeXXqidic=;
 b=AWU6SmvKAUEXp2MPmbj4mThMA4VxdkT36OaegLZ7RQujzKmVCjUQToT3SwgmASSZ7b
 FPVt6zYIB5RFPxxVvXCQvkZy0MLm4VBtEkOBWJEJH3RBKOtixRzT05evtEVHbxwYYXSl
 qK7S2I00t6pjVldFDF2RpRetLwFNqGj/yP9KkmhMyFWcFbDLQXK62maAUiQZCdwjLZWl
 CuLwmBcLALkzG5f31JkiXzfFB+tuYYPdEPLKeW1qc7SD0gwe3Vj/xNOk7UV4cS7hQ96z
 XvwvV601OInNG4Ob6D7KacTOjA5YRTVIh1ZbtXec4CM7l061EOOHFziMzehabO85/C1p
 cGbA==
X-Gm-Message-State: AKaTC015TmztMCwO00dUTxEWqIjCqEiSlnWCcqwy5K0xsKSOCbJmzYsKCgbYb6uRexofR0Fe5GeNqK73P2tB/w==
X-Received: by 10.129.74.65 with SMTP id x62mr35132573ywa.59.1480503457504;
 Wed, 30 Nov 2016 02:57:37 -0800 (PST)
MIME-Version: 1.0
Received: by 10.129.45.3 with HTTP; Wed, 30 Nov 2016 02:57:37 -0800 (PST)
In-Reply-To: <m2inr8j20x.fsf@HIDDEN>
References: <nmnzikwvj85.fsf@HIDDEN>
 <m2inr8j20x.fsf@HIDDEN>
From: Jack Kamm <jackkamm@HIDDEN>
Date: Wed, 30 Nov 2016 10:57:37 +0000
Message-ID: <CADRALHyRrHOgd6+mgmVZCmAEoXb97910sJoEChCPzsHTykuNkQ@HIDDEN>
Subject: Re: bug#24964: 25.1; Backspace inside term/ansi-term on OSX
To: Alan Third <alan@HIDDEN>
Content-Type: multipart/alternative; boundary=001a114d8b22ac64940542829202
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 24964
Cc: 24964 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--001a114d8b22ac64940542829202
Content-Type: text/plain; charset=UTF-8

Yes, this is the same bug. I think it is due to weird shell initialization
in macOS -- it seems like the setting of erase key in TERMINFO and TERMCAP
gets ignored. For now I just manually set 'stty ek' in my .zshrc/.bashrc if
TERM == eterm-color.

On Sun, Nov 27, 2016 at 4:55 PM, Alan Third <alan@HIDDEN> wrote:

> Jack Kamm <jackkamm@HIDDEN> writes:
>
> > On OSX, interactive programs in multi-term/ansi-term/term will insert
> > the character "^?" instead of doing a backspace.
> >
> > Note that simply typing backspace on the command prompt works
> > fine, it is only inside an interactive program (such as less
> > or vim) that it breaks.
> >
> > To reproduce this, start emacs -Q, start ansi-term,
> > type "echo foobar | less", type "/", start entering some text,
> > and then hit backspace a few times. Instead of deleting
> > the text, it will insert "^?" characters.
>
> This looks like it might be related to bug#5331:
>
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=5331
> --
> Alan Third
>

--001a114d8b22ac64940542829202
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Yes, this is the same bug. I think it is due to weird shel=
l initialization in macOS -- it seems like the setting of erase key in TERM=
INFO and TERMCAP gets ignored. For now I just manually set &#39;stty ek&#39=
; in my .zshrc/.bashrc if TERM =3D=3D eterm-color.<br></div><div class=3D"g=
mail_extra"><br><div class=3D"gmail_quote">On Sun, Nov 27, 2016 at 4:55 PM,=
 Alan Third <span dir=3D"ltr">&lt;<a href=3D"mailto:alan@HIDDEN" target=
=3D"_blank">alan@HIDDEN</a>&gt;</span> wrote:<br><blockquote class=3D"g=
mail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-l=
eft:1ex">Jack Kamm &lt;<a href=3D"mailto:jackkamm@HIDDEN">jackkamm@gmail=
.com</a>&gt; writes:<br>
<br>
&gt; On OSX, interactive programs in multi-term/ansi-term/term will insert<=
br>
&gt; the character &quot;^?&quot; instead of doing a backspace.<br>
&gt;<br>
&gt; Note that simply typing backspace on the command prompt works<br>
&gt; fine, it is only inside an interactive program (such as less<br>
&gt; or vim) that it breaks.<br>
&gt;<br>
&gt; To reproduce this, start emacs -Q, start ansi-term,<br>
&gt; type &quot;echo foobar | less&quot;, type &quot;/&quot;, start enterin=
g some text,<br>
&gt; and then hit backspace a few times. Instead of deleting<br>
&gt; the text, it will insert &quot;^?&quot; characters.<br>
<br>
This looks like it might be related to bug#5331:<br>
<br>
<a href=3D"https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D5331" rel=3D"nor=
eferrer" target=3D"_blank">https://debbugs.gnu.org/cgi/<wbr>bugreport.cgi?b=
ug=3D5331</a><br>
<span class=3D"HOEnZb"><font color=3D"#888888">--<br>
Alan Third<br>
</font></span></blockquote></div><br></div>

--001a114d8b22ac64940542829202--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24964; Package emacs. Full text available.

Message received at 24964 <at> debbugs.gnu.org:


Received: (at 24964) by debbugs.gnu.org; 27 Nov 2016 16:55:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 27 11:55:36 2016
Received: from localhost ([127.0.0.1]:43763 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cB2jn-0002oO-VZ
	for submit <at> debbugs.gnu.org; Sun, 27 Nov 2016 11:55:36 -0500
Received: from mail-wm0-f50.google.com ([74.125.82.50]:38686)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1cB2jm-0002o9-Do
 for 24964 <at> debbugs.gnu.org; Sun, 27 Nov 2016 11:55:35 -0500
Received: by mail-wm0-f50.google.com with SMTP id f82so134052915wmf.1
 for <24964 <at> debbugs.gnu.org>; Sun, 27 Nov 2016 08:55:34 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=tftXnp6n3S4RbEcc1n9aZyKocJUQjWW3jAHxJDjLEvQ=;
 b=WUVg4wBDJhSglLm1PGLOwte7eaWUosglB7zKPrUx0bv+VB0zFSlL9jca2a4Khe2eyE
 UKF363WBb4h13soYgUDyi2IsKoHjx1gKyQl1N4KoLXUweoFFrwQY28M62HXfPQdaHsUQ
 WSwbrqKcpD9dKciUzSInZKrHrxMRO27VQNYJAc4pg3CxWrHbQhWeirzjcc9fp0Q5CiJM
 rMBUNlucCO0A+Z6c7JGJpHQWs+LlF/OhMCOppgGNBgBb4eNVNjkpNrld2Q9QLdavVyEr
 d/bkLHaNJf73cf5ibPUvd1kzdArbI6lXFEV4uVTh3lEyV2VkAUcoLYzn96sDyVixmvPo
 aH0w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=tftXnp6n3S4RbEcc1n9aZyKocJUQjWW3jAHxJDjLEvQ=;
 b=B93QEIm+9az8WIcpqu7MCCUJAagh/At9XwYfDmPOvtObxzn7Q6oLxtxh8bPgV4zJ+x
 kHK5pPl5cIcJYBGRDzPdSGZYIlbDNc/7NgsSOhE9YsBumR8oIzLjuLRGpFkss98rfMkC
 w0tYZW/9JeeGj0mLN77aHMOo3zRmKVWTkpcCk3hJVDC+kMGloLSNURTkJbdD+sNKshPl
 hSE8IeCTK9XyhNzBeLt5MYtnttbUXJA6Ehh0Wvg4ATWqnxe/AIJIxaLRZZOav+crJ9zT
 FNQuZXDMtvcX0kXm5zD5vuIJGl6s0ldrmVRaanunDo/pkTDzaCsuQieJ+LuaPp3c1K9M
 k09A==
X-Gm-Message-State: AKaTC01mhHPY3IYPuJIWU1Ip/qnO6kZQYSN8dBhiA64i5CrdaEpV5Ojf4ytrlj3i1Ls3Tw==
X-Received: by 10.28.17.213 with SMTP id 204mr15962390wmr.17.1480265728491;
 Sun, 27 Nov 2016 08:55:28 -0800 (PST)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-6c4b-8e7c-8761-0054.holly.idiocy.org.
 [2001:8b0:3f8:8129:6c4b:8e7c:8761:54])
 by smtp.gmail.com with ESMTPSA id pd2sm57909013wjb.31.2016.11.27.08.55.27
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 27 Nov 2016 08:55:27 -0800 (PST)
From: Alan Third <alan@HIDDEN>
To: Jack Kamm <jackkamm@HIDDEN>
Subject: Re: bug#24964: 25.1; Backspace inside term/ansi-term on OSX
References: <nmnzikwvj85.fsf@HIDDEN>
Date: Sun, 27 Nov 2016 16:55:26 +0000
In-Reply-To: <nmnzikwvj85.fsf@HIDDEN> (Jack Kamm's message of "Fri, 18 Nov
 2016 16:35:54 +0000")
Message-ID: <m2inr8j20x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 24964
Cc: 24964 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Jack Kamm <jackkamm@HIDDEN> writes:

> On OSX, interactive programs in multi-term/ansi-term/term will insert
> the character "^?" instead of doing a backspace.
>
> Note that simply typing backspace on the command prompt works
> fine, it is only inside an interactive program (such as less
> or vim) that it breaks.
>
> To reproduce this, start emacs -Q, start ansi-term,
> type "echo foobar | less", type "/", start entering some text,
> and then hit backspace a few times. Instead of deleting
> the text, it will insert "^?" characters.

This looks like it might be related to bug#5331:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=5331
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24964; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Nov 2016 17:38:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 12:38:31 2016
Received: from localhost ([127.0.0.1]:34177 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c7n7O-0000yY-9h
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2016 12:38:31 -0500
Received: from eggs.gnu.org ([208.118.235.92]:56817)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackkamm@HIDDEN>) id 1c7m9F-0007tw-LG
 for submit <at> debbugs.gnu.org; Fri, 18 Nov 2016 11:36:22 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jackkamm@HIDDEN>) id 1c7m97-0003IP-D1
 for submit <at> debbugs.gnu.org; Fri, 18 Nov 2016 11:36:16 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:58859)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jackkamm@HIDDEN>) id 1c7m97-0003IJ-9B
 for submit <at> debbugs.gnu.org; Fri, 18 Nov 2016 11:36:13 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:47767)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jackkamm@HIDDEN>) id 1c7m93-00071V-R4
 for bug-gnu-emacs@HIDDEN; Fri, 18 Nov 2016 11:36:13 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jackkamm@HIDDEN>) id 1c7m90-0003Fo-NR
 for bug-gnu-emacs@HIDDEN; Fri, 18 Nov 2016 11:36:09 -0500
Received: from mail-wm0-x243.google.com ([2a00:1450:400c:c09::243]:35725)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <jackkamm@HIDDEN>) id 1c7m90-0003DW-0a
 for bug-gnu-emacs@HIDDEN; Fri, 18 Nov 2016 11:36:06 -0500
Received: by mail-wm0-x243.google.com with SMTP id a20so7865430wme.2
 for <bug-gnu-emacs@HIDDEN>; Fri, 18 Nov 2016 08:36:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version;
 bh=KEVnI3flBqfihw3zBpsjaGogyQQzFZHFb00ZO9QQXIo=;
 b=toTXVX37x44MS0PCtqhMb4BO771p0xsAw2RjLqgAUKAuMes5ef/fyVO7ztXyicooTf
 nBlakf+jeoJJblrqVqCzg7lfE/cyHarqU9DlMOXU0oJgNWYRwXDwMVh7CIEmSxfHNm0e
 c766DPRSVZZFtGOlMg+J4TU8mnWvR9aRgRbLbGD6hJnJd6pju27ZxyFCPZOOBSRYkBfx
 S4DZFJ2zQpJoK8sA7rGCKWkqywYc5AM6cPRdNNO3+ZM23yQxiLRDD9r5O53scdpwUh5r
 eVRSS/Bfd7QF34aPTZWOPrbaZ5qBhhyjNREAaBVwjVJjSmsw9W2TBGP/A9fef4P+JEs+
 ygbQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=KEVnI3flBqfihw3zBpsjaGogyQQzFZHFb00ZO9QQXIo=;
 b=govN+aCbtD9oS8iPFxBjcTIwwcnilfINRbKx/Hi3g5e5brXjO0KQJxB22dTI0mAna1
 0z0HyjYuPhfxMx3aSx8xINAdTrvJZgkkd5w2QiMuXf3aGD6WYHLDMXqA12Wfo5v4MEcP
 wrscB95OXFCha8pvIzZMCoepg+C6k5yxQ2lDYW9l/lf1qlwbTfSaHZLS8ksqQaG60T3j
 reeCmifV+fc3Rqh6TyDFciGuab+h62iZrn8RE5UZ8gM56XoGvxsuyMpQ6meZ+VFXHQYq
 5ueh8BeFvp0ee6IijiUh+ZdmSeeUYD72n3qdWy6Myb0iWOqteb52J5fQ3gZHiUmEgo6V
 Oxpw==
X-Gm-Message-State: AKaTC00A4STB+OmImnndO7eFUPEG3TQcXjzvcsX+JPxfCDJiCDvlFGxcGL8zgHZd7NoXCA==
X-Received: by 10.28.221.11 with SMTP id u11mr1038386wmg.91.1479486962822;
 Fri, 18 Nov 2016 08:36:02 -0800 (PST)
Received: from mib110397i ([193.63.220.45])
 by smtp.gmail.com with ESMTPSA id 135sm4208776wmh.14.2016.11.18.08.36.02
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 18 Nov 2016 08:36:02 -0800 (PST)
From: Jack Kamm <jackkamm@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.1; Backspace inside term/ansi-term on OSX
Date: Fri, 18 Nov 2016 16:35:54 +0000
Message-ID: <nmnzikwvj85.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 18 Nov 2016 12:38:29 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

On OSX, interactive programs in multi-term/ansi-term/term will insert
the character "^?" instead of doing a backspace.

Note that simply typing backspace on the command prompt works
fine, it is only inside an interactive program (such as less
or vim) that it breaks.

To reproduce this, start emacs -Q, start ansi-term,
type "echo foobar | less", type "/", start entering some text,
and then hit backspace a few times. Instead of deleting
the text, it will insert "^?" characters.

A quick fix is to remap backspace to (term-send-raw-string "\C-h")
inside term-mode. The problem seems to arise from different systems
using Control-H vs Control-? as the raw character sequences for
deletion -- apparently OSX wants Control-H, but emacs assumes
Control-? (as best as I can tell, I am not an expert here).




In GNU Emacs 25.1.1 (x86_64-apple-darwin13.4.0, NS appkit-1265.21 Version 10.9.5 (Build 13F1911))
 of 2016-09-21 built on builder10-9.porkrind.org
Windowing system distributor 'Apple', version 10.3.1404
Configured using:
 'configure --with-ns '--enable-locallisppath=/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES

Important settings:
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Messages

Minor modes in effect:
  helm-descbinds-mode: t
  recentf-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  winner-mode: t
  window-numbering-mode: t
  volatile-highlights-mode: t
  global-vi-tilde-fringe-mode: t
  vi-tilde-fringe-mode: t
  pupo-mode: t
  spaceline-info-mode: t
  spaceline-helm-mode: t
  save-place-mode: t
  savehist-mode: t
  popwin-mode: t
  persp-mode: t
  Info-breadcrumbs-in-mode-line-mode: t
  ido-vertical-mode: t
  purpose-mode: t
  helm-mode: t
  global-git-gutter+-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  flycheck-pos-tip-mode: t
  global-flycheck-mode: t
  flx-ido-mode: t
  eyebrowse-mode: t
  global-evil-surround-mode: t
  evil-surround-mode: t
  global-evil-search-highlight-persist: t
  evil-search-highlight-persist: t
  show-smartparens-global-mode: t
  evil-escape-mode: t
  global-anzu-mode: t
  anzu-mode: t
  eval-sexp-fu-flash-mode: t
  diff-auto-refine-mode: t
  clean-aindent-mode: t
  hybrid-mode: t
  which-key-mode: t
  override-global-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  evil-mode: t
  evil-local-mode: t
  spacemacs-leader-override-mode: t
  global-spacemacs-leader-override-mode: t
  global-hl-line-mode: t
  xterm-mouse-mode: t
  global-auto-revert-mode: t
  global-page-break-lines-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
 [2 times]
nil [3 times]

user-error: No further redo information [2 times]
nil [5 times]
[Display not ready]
nil [3 times]
SPC f C-g is undefined

term-send-backspace

Load-path shadows:
/Users/jk21/.emacs.d/elpa/org-download-20160907.1021/org-download hides /Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-download
/Users/jk21/.emacs.d/elpa/org-bullets-20140918.1137/org-bullets hides /Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-bullets
/Users/jk21/.emacs.d/elpa/ht-20161015.1945/ht hides /Users/jk21/.emacs.d/core/libs/ht
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ox hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ox
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ox-texinfo hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ox-texinfo
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ox-publish hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ox-publish
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ox-org hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ox-org
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ox-odt hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ox-odt
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ox-md hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ox-md
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ox-man hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ox-man
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ox-latex hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ox-latex
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ox-icalendar hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ox-icalendar
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ox-html hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ox-html
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ox-beamer hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ox-beamer
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ox-ascii hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ox-ascii
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-w3m hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-w3m
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-version hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-version
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-timer hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-timer
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-table hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-table
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-src hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-src
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-rmail hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-rmail
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-protocol hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-protocol
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-plot hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-plot
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-pcomplete hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-pcomplete
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-mouse hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-mouse
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-mobile hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-mobile
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-mhe hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-mhe
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-macs hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-macs
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-macro hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-macro
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-loaddefs hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-loaddefs
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-list hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-list
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-irc hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-irc
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-install hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-install
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-inlinetask hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-inlinetask
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-info hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-info
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-indent hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-indent
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-id hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-id
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-habit hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-habit
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-gnus hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-gnus
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-footnote hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-footnote
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-feed hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-feed
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-faces hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-faces
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-eshell hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-eshell
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-entities hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-entities
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-element hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-element
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-docview hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-docview
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-datetree hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-datetree
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-ctags hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-ctags
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-crypt hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-crypt
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-compat hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-compat
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-colview hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-colview
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-clock hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-clock
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-capture hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-capture
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-bibtex hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-bibtex
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-bbdb hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-bbdb
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-attach hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-attach
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-archive hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-archive
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/org-agenda hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/org-agenda
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-tangle hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-tangle
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-table hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-table
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-sqlite hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sqlite
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-sql hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sql
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-shen hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-shen
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-screen hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-screen
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-scheme hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-scheme
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-scala hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-scala
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-sass hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sass
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-ruby hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ruby
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-ref hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ref
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-R hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-R
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-python hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-python
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-plantuml hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-plantuml
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-picolisp hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-picolisp
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-perl hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-perl
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-org hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-org
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-octave hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-octave
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-ocaml hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ocaml
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-mscgen hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-mscgen
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-maxima hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-maxima
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-matlab hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-matlab
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-makefile hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-makefile
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-lob hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-lob
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-lisp hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-lisp
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-lilypond hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-lilypond
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-ledger hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ledger
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-latex hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-latex
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-keys hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-keys
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-js hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-js
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-java hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-java
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-io hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-io
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-haskell hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-haskell
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-gnuplot hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-gnuplot
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-fortran hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-fortran
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-exp hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-exp
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-eval hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-eval
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-emacs-lisp hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-emacs-lisp
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-dot hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-dot
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-ditaa hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ditaa
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-css hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-css
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-core hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-core
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-comint hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-comint
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-clojure hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-clojure
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-calc hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-calc
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-C hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-C
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-awk hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-awk
/Users/jk21/.emacs.d/elpa/org-plus-contrib-20161031/ob-asymptote hides /Users/jk21/Applications/Emacs.app/Contents/Resources/lisp/org/ob-asymptote

Features:
(shadow sort bbdb-message company-bbdb mail-extr emacsbug sendmail
auto-compile packed elisp-slime-nav goto-addr bug-reference
auto-highlight-symbol highlight-numbers parent-mode
highlight-parentheses hideshow rainbow-delimiters helm-descbinds
eieio-opt speedbar sb-image ezimage dframe linum multi-term term ehelp
helm-command helm-elisp helm-eval edebug emoji-cheat-sheet-plus
diary-lib diary-loaddefs open-junk-file recentf tree-widget
company-files company-keywords company-etags company-gtags
company-template company-dabbrev-code company-dabbrev company-capf
company-emoji org-eldoc evil-org ob-shell org-bullets org-download
org-ref org-ref-helm-bibtex org-ref-helm helm-bibtex bibtex-completion
biblio biblio-download biblio-dissemin biblio-hal biblio-dblp
biblio-crossref biblio-arxiv biblio-doi biblio-core url-queue
helm-config helm-easymenu org-ref-core reftex-cite reftex reftex-vars
parsebib ox-latex ox-icalendar ox-html ox-ascii ox-publish ox
org-ref-glossary org-ref-utils org-ref-pdf org-ref-bibtex
org-ref-citeproc key-chord doi-utils url-http tls gnutls url-auth url-gw
toc-org ert debug yasnippet image-file org-rmail org-mhe org-irc
org-info org-gnus org-docview doc-view jka-compr org-bibtex bibtex
org-bbdb org-w3m org-agenda org-element avl-tree org org-macro
org-footnote org-pcomplete org-list org-faces org-entities org-version
ob-sh ob-emacs-lisp ob-python ob-R ob ob-tangle ob-ref ob-lob ob-table
ob-exp org-src ob-keys ob-comint ob-core ob-eval org-compat org-macs
org-loaddefs cal-menu calendar cal-loaddefs hl-todo xterm-color
ws-butler winner window-purpose-x imenu-list imenu ibuf-ext ibuffer
window-numbering etags xref project volatile-highlights vi-tilde-fringe
spacemacs-purpose-popwin spaceline-config spaceline-segments spaceline
powerline powerline-separators color powerline-themes smartparens-config
saveplace savehist popwin persp-mode info+ image-mode ido-vertical-mode
helm-purpose window-purpose window-purpose-fixes
window-purpose-prefix-overload window-purpose-switch let-alist
window-purpose-layout window-purpose-core window-purpose-configuration
window-purpose-utils helm-mode helm-files image-dired dired-x dired-aux
ffap helm-buffers helm-elscreen helm-tags helm-bookmark helm-adaptive
helm-info bookmark pp helm-locate helm-grep helm-regexp helm-external
helm-net helm-utils compile helm-help helm-types gnus-win nnrss xml
mm-url url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf url-util mailcap nnmail gnus-int gnus-range
mail-source nnoo browse-url gnus gnus-ems nnheader gmail2bbdb
git-gutter-fringe+ fringe-helper git-gutter+ git-commit with-editor
async-bytecomp async tramp-sh server log-edit message rfc822 mml mml-sec
epg mailabbrev mail-utils gmm-utils mailheader pcvs-util add-log tramp
tramp-compat tramp-loaddefs trampver shell pcomplete comint ansi-color
gh-common gh-profile marshal flyspell-correct-helm helm helm-source
helm-multi-match helm-lib dired flyspell-correct flyspell ispell
flycheck-pos-tip pos-tip flycheck find-func flx-ido flx ido eyebrowse
format-spec evil-unimpaired f s evil-surround
evil-search-highlight-persist evil-numbers evil-lisp-state smartparens
evil-indent-plus evil-exchange evil-escape evil-args evil-anzu anzu
eval-sexp-fu rx highlight erc-terminal-notifier noutline outline diff-hl
vc-dir ewoc vc vc-dispatcher diff-mode company-web dash company-css
company web-completion-data clean-aindent-mode bbdb bbdb-site timezone
tex-site adaptive-wrap hybrid-mode exec-path-from-shell
evil-evilified-state which-key use-package diminish bind-key hydra lv
cus-edit cus-start cus-load evil evil-integration undo-tree diff
evil-maps evil-commands evil-jumps evil-command-window evil-types
evil-search evil-ex evil-macros evil-repeat evil-states evil-core
evil-common windmove thingatpt rect evil-digraphs evil-vars ring info
bind-map quelpa url-parse auth-source gnus-util password-cache url-vars
package-build mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047
rfc2045 ietf-drums mm-util help-fns mail-prsvr json map lisp-mnt hl-line
xt-mouse autorevert filenotify disp-table wid-edit spacemacs-light-theme
spacemacs-common finder-inf core-configuration-layer eieio-compat cl-seq
ht cl warnings package epg-config seq eieio byte-opt bytecomp
byte-compile cl-extra help-mode cconv eieio-core core-spacemacs
core-use-package-ext core-transient-state core-micro-state core-toggle
core-keybindings core-fonts-support core-spacemacs-buffer derived
edmacro kmacro core-funcs cl-macs gv core-themes-support
core-display-init core-jump core-auto-completion core-release-management
core-dotspacemacs core-command-line core-debug advice profiler easymenu
cl-loaddefs cl-lib page-break-lines easy-mmode subr-x pcase time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel ns-win ucs-normalize term/common-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame
cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese charscript
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote kqueue cocoa ns
multi-tty make-network-process emacs)

Memory information:
((conses 16 846971 745835)
 (symbols 48 73028 28)
 (miscs 40 2417 15558)
 (strings 32 181240 362469)
 (string-bytes 1 6226567)
 (vectors 16 93144)
 (vector-slots 8 1450755 289216)
 (floats 8 1549 2477)
 (intervals 56 6434 1757)
 (buffers 976 711))




Acknowledgement sent to Jack Kamm <jackkamm@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24964; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 18 Dec 2016 11:00:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.